"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const conf_1 = require("../../services/conf");
const docker_1 = require("../../services/docker");
const ide_1 = require("../../services/ide");
const render_1 = require("../../services/render");
const sync_1 = require("../../services/sync");
const index_1 = require("./index");
const { join } = path;
class ContainerCreate extends index_1.default {
    async prepare() {
        await docker_1.default.pull(this.rdc);
        await docker_1.default.copy(this.rdc, [{
                // does not need to join, cuz it's docker path
                from: `${conf_1.default.dockerWorkDirRoot}/.`,
                to: `${conf_1.default.cwd}`,
            }]);
    }
    async genConfFile() {
        const { rdcConfName, rdcConfPath } = conf_1.default;
        const rdcConf = require(rdcConfPath);
        rdcConf.docker.tag = this.rdcRepo;
        await render_1.default.renderTo('module', {
            obj: rdcConf,
        }, rdcConfName, {
            overwrite: true,
        });
    }
    async genExtraFiles() {
        await render_1.default.renderTo(join('rdc', 'README'), {
            name: this.name,
            homepage: conf_1.default.homepage,
        }, 'README.md', {
            overwrite: true,
        });
        await render_1.default.renderTo('.gitignore', {
            isApp: conf_1.default.isApp
        }, '.gitignore', {
            overwrite: true,
        });
        await ide_1.default.initSettings(false);
        await sync_1.default.install();
    }
}
exports.default = ContainerCreate;
