"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const conf_1 = require("./conf");
exports.default = {
    get cachePath() {
        return path.resolve(conf_1.default.localCacheDir, '.cache');
    },
    get exist() {
        return fs.existsSync(this.cachePath);
    },
    getAll() {
        if (!fs.existsSync(this.cachePath)) {
            return {};
        }
        const file = fs.readFileSync(this.cachePath, { encoding: 'UTF-8' });
        return JSON.parse(file || '{}');
    },
    setAll(json) {
        fs.writeFileSync(this.cachePath, JSON.stringify(json), { encoding: 'UTF-8' });
    },
    get(key) {
        return this.getAll()[key];
    },
    set(key, value) {
        const cacheObj = this.getAll();
        cacheObj[key] = value;
        this.setAll(cacheObj);
    },
    delete(key) {
        const cacheObj = this.getAll();
        delete cacheObj[key];
        this.setAll(cacheObj);
    }
};
