"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const util_1 = require("../util");
const conf_1 = require("./conf");
const { resolve } = path;
const { ensureRequire } = util_1.default;
exports.default = {
    getLintFiles(filenames) {
        const { cwd, isApp, rdcConfName, localCacheDir, } = conf_1.default;
        const rdcPath = isApp ? resolve(localCacheDir, rdcConfName) : resolve(cwd, rdcConfName);
        const rdcConf = ensureRequire(rdcPath);
        filenames = filenames.filter(file => /(app\/)|(template\/)/.test(file));
        const ext = rdcConf.lint && rdcConf.lint.ext || [];
        if (ext.length) {
            filenames = filenames.filter(file => ext.includes(path.extname(file)));
        }
        // 没有文件时 eslint会报错
        if (!filenames.length) {
            filenames = ['app/'];
        }
        return filenames;
    }
};
